#ifndef _Testing_Testing_h
#define _Testing_Testing_h

#include <CtrlLib/CtrlLib.h>
#include <Report/Report.h>
using namespace Upp;
#define LAYOUTFILE <Testing/Testing.lay>
#include <CtrlCore/lay.h>


//class Testing : public WithTestingLayout<TopWindow> {
class Testing : public TopWindow {
//class Testing : public WithGUILayout<TopWindow> {
	WithCardLayout1<ParentCtrl> doCard;
	WithCardLayout2<ParentCtrl> doPlot;
	SplitterFrame sf;
	MenuBar menu;
	// ToolBar tool;
	StatusBar status;
	ArrayCtrl list, list1;
	String filename;
	FileSel fs;
private:
	void About();
	void Configure(Bar& menu);
	void Geometry(Bar& menu);
	void Plot(Bar& menu);
	void Print(Bar& menu);
	void Menu(Bar& menu);
	void FileMenu(Bar& menu);
	void MainMenu(Bar& menu);
	
	void doNew();
	void Open();
	void Save();
	void SaveAs();
	void doConfig();
	void doGeom();;
	void doPrint();
	virtual void Paint(Draw& w);
	typedef Testing CLASSNAME;
	
public:
	Testing();
};

#endif

